C sweep.h -- common block used in sweep
C
C 09jun90 gbl
C 25sep90 jmb  add forces
C
C parameters:
C  maxsweep - maximum size of any sweep
C common block variables:
C  nmin  - number of first real zone (=3)
C  nmax  - number of last  real zone (=i/jmax+2)
C  rho   - density: zone average
C  p     - pressure: zone average
C  enrg  - total energy: zone average
C  u     - zone average velocity
C  v     - zone average transverse velocity
C  xa    - grid zone face locations
C  dx    - xa(j+1) - xa(j)
C  dvol  - zone volume
C  xa0   - grid zone face locations, prior to lagrangian update
C  dx0   - dx, prior to lagrangian update
C  dvol0 - dvol, prior to lagrangian update
C  radius- radius out to current column of angular zones
c  fluxr - mass flux vector; used to compute xmlag (SPO 6/15/92)
C
      include 'sweepsize.h'
C
      character*1 sweep
      integer nmin, nmax
C
      real rho (maxsweep), p    (maxsweep), enrg(maxsweep), 
     &     u   (maxsweep), v    (maxsweep), w   (maxsweep), 
     &     xa  (maxsweep), xa0  (maxsweep),
     &     dx  (maxsweep), dx0  (maxsweep),
     &     dvol(maxsweep), dvol0(maxsweep), fluxr(maxsweep),
     &     radius, theta, stheta, lbpert
C
      common /sweep/ rho, p, u, v, w, enrg, xa, xa0, dx, dx0, 
     &       dvol, dvol0, fluxr, radius, theta, stheta, nmin, nmax, 
     &       lbpert,sweep

